проблема в самом начале установки 3.2.1 Тема решена

Проблемы с установкой или работой phpBB 3.2.x? Получите помощь здесь!
Правила форума
Местная Конституция | Шаблон запроса | Документация (phpBB3) | Мини [FAQ] по phpBB3.1.x | FAQ-3 (phpbb3) | Как задавать вопросы | Как устанавливать расширения

Ваш вопрос может быть удален без объяснения причин, если на него есть ответы по приведённым ссылкам (а вы рискуете получить предупреждение ;) ).
WarHeart
phpBB 1.0.0
Сообщения: 6
Зарегистрирован: 04.12.2017 2:55

проблема в самом начале установки 3.2.1

Сообщение WarHeart » 04.12.2017 4:01

бд создана, ssl и разрешения файлов/папок установлены, php 7.1, json вкл, только не знаю где проверить getimagesize().
при входе есть 2 вкладки (обзор и установить), в последней нажимаю кнопку установить и получаю пустую вкладку
Вложения
emptyinstall.jpg

Аватара пользователя
Siava
Поддержка
Поддержка
Сообщения: 3679
Зарегистрирован: 11.01.2005 14:29
Откуда: Питер
Благодарил (а): 86 раз
Поблагодарили: 312 раз
Контактная информация:

Re: проблема в самом начале установки 3.2.1

Сообщение Siava » 04.12.2017 11:51

WarHeart, В логах есть что?
Еще одно нарушение правил и будете забанены. © Mr. Anderson
https://siava.ru/forum/ (phpbb 2.0.x 3.1.x)

Аватара пользователя
Татьяна5
Former team member
Сообщения: 7800
Зарегистрирован: 08.08.2011 2:02
Благодарил (а): 146 раз
Поблагодарили: 2253 раза

Re: проблема в самом начале установки 3.2.1

Сообщение Татьяна5 » 04.12.2017 12:07

И дебаг включите (возможно, что-нибудь напишет)

Аватара пользователя
rxu
phpBB Guru
phpBB Guru
Сообщения: 13832
Зарегистрирован: 12.05.2006 18:16
Откуда: Красноярск
Благодарил (а): 321 раз
Поблагодарили: 1380 раз
Контактная информация:

Re: проблема в самом начале установки 3.2.1

Сообщение rxu » 04.12.2017 16:42

Исполнение скриптов Javascript случайно не отключено в браузере? И какой браузер?
Изображение

WarHeart
phpBB 1.0.0
Сообщения: 6
Зарегистрирован: 04.12.2017 2:55

Re: проблема в самом начале установки 3.2.1

Сообщение WarHeart » 04.12.2017 17:50

папки logs и access-log пусты, в public_html/phpbb/log есть три файла dummy.php, log.php и log_interface.php
браузер опера 49.0.0.272531065, есть только javascript в настройках и он включен, в configure java > security включено, на java.com пишет, что невозможно проверить версию

Аватара пользователя
Татьяна5
Former team member
Сообщения: 7800
Зарегистрирован: 08.08.2011 2:02
Благодарил (а): 146 раз
Поблагодарили: 2253 раза

Re: проблема в самом начале установки 3.2.1

Сообщение Татьяна5 » 04.12.2017 18:14

Дебаг включали?

WarHeart
phpBB 1.0.0
Сообщения: 6
Зарегистрирован: 04.12.2017 2:55

Re: проблема в самом начале установки 3.2.1

Сообщение WarHeart » 04.12.2017 18:26

это такую строчку написать в config.php или нет?

WarHeart
phpBB 1.0.0
Сообщения: 6
Зарегистрирован: 04.12.2017 2:55

Re: проблема в самом начале установки 3.2.1

Сообщение WarHeart » 04.12.2017 18:33

файл config.php оказался пустым, я записал в него 2 строчки:
@define('DEBUG', true);
@define('DEBUG_EXTRA', true);
выдало phpbb is already installed и стало 3 вкладки обзор, обновить, конвертировать

Аватара пользователя
Татьяна5
Former team member
Сообщения: 7800
Зарегистрирован: 08.08.2011 2:02
Благодарил (а): 146 раз
Поблагодарили: 2253 раза

Re: проблема в самом начале установки 3.2.1

Сообщение Татьяна5 » 04.12.2017 19:12

Да, не учла что перед установкой он не сработает
Ищите тогда error_log на сервере (если он отключён - включайте)

WarHeart
phpBB 1.0.0
Сообщения: 6
Зарегистрирован: 04.12.2017 2:55

Re: проблема в самом начале установки 3.2.1

Сообщение WarHeart » 06.12.2017 1:38

игрался с версиями php от 7.1 до 5.4 и phpbb. спустив версию до 3.0.14 получилось следующее:
Вложения
db.jpg

Аватара пользователя
Татьяна5
Former team member
Сообщения: 7800
Зарегистрирован: 08.08.2011 2:02
Благодарил (а): 146 раз
Поблагодарили: 2253 раза

Re: проблема в самом начале установки 3.2.1

Сообщение Татьяна5 » 06.12.2017 1:40

В текущей версии php нет ничего для работы с базами данных (странный какой-то хостинг)

WarHeart
phpBB 1.0.0
Сообщения: 6
Зарегистрирован: 04.12.2017 2:55

Re: проблема в самом начале установки 3.2.1

Сообщение WarHeart » 06.12.2017 18:51

Проблема решена обращением в техподдержку. Оказалось, что мой аккаунт поврежден (возможно по моей вине). Суппорты пересоздали мне аккаунт, я включил php 7.1, залил phpbb 3.2.1 и вот:
Вложения
success.jpg

estet
phpBB 1.0.0
Сообщения: 4
Зарегистрирован: 09.01.2018 17:14
Благодарил (а): 3 раза

Re: проблема в самом начале установки 3.2.1

Сообщение estet » 09.01.2018 21:34

- Всем добрый вечер!

Под впечатлением неминуемых и грозных санкций новую тему создавать не стал, тем более что симптомы у меня точно такие же!
Пытался попробовать русифицированный движок 3.2.1 на бесплатном хостинге 500mb.net. После нажатия кнопки Установить на
секунду появляется изображение песочных часов по центру и тут же пропадает! К этапам проверки требований phpBB, настройки
параметров установки не переходит ...

Попыток установить движок было несколько! ... Пробовал копировать движок в папки forum, phpBB3, а также в корень сайта ...
Пробовал запускать установку в разных браузерах. Результат тот же: очень похоже на зависание. Процесс браузера при этом
активно начинает жрать оперативную память компьютера, но картинка не меняется ...

Написал в техподдержку. Но так как техподдержка у хостинга неторопливая, сколько дней придётся ждать ответа неизвестно!
Смотрел доступные логи, но разобраться не смог, так как опыта ещё нет.
Вложения
log.zip
(1.87 КБ) 11 скачиваний

Аватара пользователя
Warlock75
Модератор
Модератор
Сообщения: 1338
Зарегистрирован: 24.02.2008 3:24
Откуда: Москва
Благодарил (а): 34 раза
Поблагодарили: 87 раз
Контактная информация:

Re: проблема в самом начале установки 3.2.1

Сообщение Warlock75 » 09.01.2018 21:39

estet,
Обязательные системные требования для установки phpBB 3.2.x:

Вебсервер под управлением любой операционной системы с поддержкой PHP
Сервер SQL, список поддерживаемых:
MySQL 3.23 и выше (MySQLi поддерживается)
MariaDB 5.1 и выше
PostgreSQL 8.3+
SQLite 3.6.15+
MS SQL Server 2000 и выше (прямое подключение, либо через ODBC или нативный драйвер)
Oracle
PHP 5.4.7+ с поддержкой используемой СУБД.
Обязательные модули PHP:
json
Доступность функции getimagesize().
Наличие следующих модулей PHP позволит получить дополнительные возможности (не обязательны):
Поддержка сжатия zlib
Поддержка удаленного доступа к FTP
Поддержка XML
Imagemagick
Модуль GD


Это соблюдается на халявном хостинге?
Внимательно изучаем форум и чиаем FAQ. 95% всех ответов на возможные вопросы там уже есть!

Правила
Мини FAQ по phpBB 3.1
Как устанавливать расширения

Аватара пользователя
Татьяна5
Former team member
Сообщения: 7800
Зарегистрирован: 08.08.2011 2:02
Благодарил (а): 146 раз
Поблагодарили: 2253 раза

Re: проблема в самом начале установки 3.2.1

Сообщение Татьяна5 » 09.01.2018 21:42

estet, 3.2.1 ставится без проблем, так что то вина хостинга

Ответить

Вернуться в «Поддержка phpBB 3.2.x»